// Customer ID=7729; Build=0x71521; Copyright (c) 2006-2013 by Tensilica Inc.  ALL RIGHTS RESERVED.
// These coded instructions, statements, and computer programs are the
// copyrighted works and confidential proprietary information of
// Tensilica Inc.  They may be adapted and modified by bona fide
// purchasers for internal use, but neither the original nor any adapted
// or modified version may be disclosed or distributed to third parties
// in any manner, medium, or form, in whole or in part, without the prior
// written consent of Tensilica Inc.

#include "../common.inc"

-set_make_parm=testbench_name=Testbench
-set_make_parm=verilog_files=$(XTSC_SCRIPT_FILE_PATH)/Testbench.v,$(XTSC_SCRIPT_FILE_PATH)/../../verilog.sources/hifi3_hikey960_pifmem.sv,$(XTSC_SCRIPT_FILE_PATH)/../../verilog.sources/hifi3_hikey960_iram0.sv,$(XTSC_SCRIPT_FILE_PATH)/../../verilog.sources/hifi3_hikey960_iram1.sv,$(XTSC_SCRIPT_FILE_PATH)/../../verilog.sources/hifi3_hikey960_dram0.sv,$(XTSC_SCRIPT_FILE_PATH)/../../verilog.sources/hifi3_hikey960_dram1.sv

-set_wrapper_parm=vcd_handle=waveforms
-create_wrapper=Xtensa0

-create_clock=clk
-connect_clock_wrapper=clk,CLK

-set_core_parm=SimTargetOutput=core0_output.log
-set_core_parm=SimTargetProgram=$(XTSC_SCRIPT_FILE_PATH)/target/memory_test.out
-create_core=core0

-memory_pin_port=pif
-set_tlm2pin_parm=dso_name=$(XTSC_SCRIPT_FILE_PATH)/dso/$(XTSC_RUN_COSIM_VENDOR)/lib_hifi3_hikey960_pifmem.so
-set_tlm2pin_parm=dso_cookie=Testbench.pif
-set_tlm2pin_parm=cosim=true
-create_tlm2pin=tlm2pin_pif
-connect=core0,pif,slave_ports,tlm2pin_pif
-connect=tlm2pin_pif,pif,,Xtensa0

-memory_pin_port=iram0
-set_tlm2pin_parm=dso_name=$(XTSC_SCRIPT_FILE_PATH)/dso/$(XTSC_RUN_COSIM_VENDOR)/lib_hifi3_hikey960_iram0.so
-set_tlm2pin_parm=dso_cookie=Testbench.iram0
-set_tlm2pin_parm=cosim=true
-create_tlm2pin=tlm2pin_iram0
-connect=core0,iram0,slave_ports,tlm2pin_iram0
-connect=tlm2pin_iram0,iram0,,Xtensa0

-memory_pin_port=iram1
-set_tlm2pin_parm=dso_name=$(XTSC_SCRIPT_FILE_PATH)/dso/$(XTSC_RUN_COSIM_VENDOR)/lib_hifi3_hikey960_iram1.so
-set_tlm2pin_parm=dso_cookie=Testbench.iram1
-set_tlm2pin_parm=cosim=true
-create_tlm2pin=tlm2pin_iram1
-connect=core0,iram1,slave_ports,tlm2pin_iram1
-connect=tlm2pin_iram1,iram1,,Xtensa0

-memory_pin_port=dram0
-set_tlm2pin_parm=dso_name=$(XTSC_SCRIPT_FILE_PATH)/dso/$(XTSC_RUN_COSIM_VENDOR)/lib_hifi3_hikey960_dram0.so
-set_tlm2pin_parm=dso_cookie=Testbench.dram0
-set_tlm2pin_parm=cosim=true
-create_tlm2pin=tlm2pin_dram0
-connect=core0,dram0,slave_ports,tlm2pin_dram0
-connect=tlm2pin_dram0,dram0,,Xtensa0

-memory_pin_port=dram1
-set_tlm2pin_parm=dso_name=$(XTSC_SCRIPT_FILE_PATH)/dso/$(XTSC_RUN_COSIM_VENDOR)/lib_hifi3_hikey960_dram1.so
-set_tlm2pin_parm=dso_cookie=Testbench.dram1
-set_tlm2pin_parm=cosim=true
-create_tlm2pin=tlm2pin_dram1
-connect=core0,dram1,slave_ports,tlm2pin_dram1
-connect=tlm2pin_dram1,dram1,,Xtensa0

