@echo off
REM Set the installation directories for the Xtensa tools.
REM $Id$

REM Customer ID=7729; Build=0x71521; Copyright (c) 2001 by Tensilica Inc.  ALL RIGHTS RESERVED.
REM These coded instructions, statements, and computer programs are the
REM copyrighted works and confidential proprietary information of Tensilica Inc.
REM They may not be modified, copied, reproduced, distributed, or disclosed to
REM third parties in any manner, medium, or form, in whole or in part, without
REM the prior written consent of Tensilica Inc.

REM This can only be done once after unpacking the tar file for a
REM configuration.  If you want to move the tools again, you will
REM need to start over from the tar file.

if "%1" == "" goto usage
if "%2" == "" goto usage
if "%3" == "" goto usage
if not "%4" == "" goto usage

set tools=%1
set prefix=%2
set config_prefix=%3

REM make sure the directories are accessible
if exist %tools% goto havetools
echo Error: %tools% does not exist
goto end
:havetools

if exist %prefix% goto haveprefix
echo Error: %prefix% does not exist
goto end
:haveprefix

if exist %config_prefix% goto haveconfigprefix
echo Error: %config_prefix% does not exist
goto end
:haveconfigprefix

REM run the script to set the paths for the software tools
%tools%/perl/bin/MSWin32-x86/perl -w %config_prefix%/misc/fix_install_paths %tools% %prefix% %config_prefix%

REM the hardware files are not included for NT so don't do anything for them
goto end

:usage
echo Usage: set_install_paths <tools_root> <xtensa_root> <config_root>
:end
