@echo off
REM
REM xtvars.bat - set environment variable to Xtensa product related parameter
REM
REM Customer ID=7729; Build=0x71521; Copyright (c) 2003-2004 by Tensilica Inc.  ALL RIGHTS RESERVED.
REM These coded instructions, statements, and computer programs are the
REM copyrighted works and confidential proprietary information of Tensilica Inc.
REM They may not be modified, copied, reproduced, distributed, or disclosed to
REM third parties in any manner, medium, or form, in whole or in part, without
REM the prior written consent of Tensilica Inc.


if "x%1" == "x" goto usage
if "x%2" == "x" goto usage

REM  Make sure variable gets unset for unrecognized parameters:
set %1=

REM  Slash-independent options:
if "x%2" == "xrelease"  set %1=12.0.5

if "x%2" == "xcorename" set %1=hifi3_hikey960

if "x%3" == "xforward" goto forward

REM  Default to backslashes:
if "x%2" == "xcore"     set %1=C:\.\.\build\build\RG-2017.5\ttiEng\vpawar\hifi3_hikey960\269583\RG-2017.5-win32\hifi3_hikey960\config\hifi3_hikey960-params
if "x%2" == "xtools"    set %1=C:\.\.\usr\xtensa\tools-7.0
if "x%2" == "xtctools"  set %1=C:\.\.\build\tree\RG-2017.5_kuma\tools\swtools-MSWin32-x86\TIE
if "x%2" == "xxttools"  set %1=C:\.\.\build\tree\RG-2017.5_kuma\tools\swtools-MSWin32-x86
if "x%2" == "xconfig"   set %1=C:\.\.\build\build\RG-2017.5\ttiEng\vpawar\hifi3_hikey960\269583\RG-2017.5-win32\hifi3_hikey960
if "x%2" == "xbinpath"  set %1=C:\.\.\build\tree\RG-2017.5_kuma\tools\swtools-MSWin32-x86\bin
if "x%2" == "xsystem"   set %1=C:\.\.\build\build\RG-2017.5\ttiEng\vpawar\hifi3_hikey960\269583\RG-2017.5-win32\hifi3_hikey960\config
goto done

REM  Else use forward slashes:
:forward
if "x%2" == "xcore"     set %1=C:/././build/build/RG-2017.5/ttiEng/vpawar/hifi3_hikey960/269583/RG-2017.5-win32/hifi3_hikey960/config/hifi3_hikey960-params
if "x%2" == "xtools"    set %1=C:/././usr/xtensa/tools-7.0
if "x%2" == "xtctools"  set %1=C:/././build/tree/RG-2017.5_kuma/tools/swtools-MSWin32-x86/TIE
if "x%2" == "xxttools"  set %1=C:/././build/tree/RG-2017.5_kuma/tools/swtools-MSWin32-x86
if "x%2" == "xconfig"   set %1=C:/././build/build/RG-2017.5/ttiEng/vpawar/hifi3_hikey960/269583/RG-2017.5-win32/hifi3_hikey960
if "x%2" == "xbinpath"  set %1=C:/././build/tree/RG-2017.5_kuma/tools/swtools-MSWin32-x86/bin
if "x%2" == "xsystem"   set %1=C:/././build/build/RG-2017.5/ttiEng/vpawar/hifi3_hikey960/269583/RG-2017.5-win32/hifi3_hikey960/config

:done
REM  Special case to allow just displaying item:
if not "x%1" == "xdisplay" goto end
if "x%display%" == "x" goto usage
echo %display%
set display=
goto end

:usage
echo Usage:      xtvars  envvar param [forward]
echo Where:
echo    envvar   environment var. to set, or 'display' to display the parameter
echo    param    parameter assigned to envvar or displayed; see keywords below;
echo             if unrecognized, envvar is unset (or error shown if 'display')
echo    forward  set/display paths with forward slashes rather than backslashes
echo Parameter keywords:
echo    binpath   path to Xtensa tools normally added to PATH
echo              (C:/././build/tree/RG-2017.5_kuma/tools/swtools-MSWin32-x86/bin)
echo    config    path to Xtensa core configuration directory
echo              (C:/././build/build/RG-2017.5/ttiEng/vpawar/hifi3_hikey960/269583/RG-2017.5-win32/hifi3_hikey960)
echo    core      path to Xtensa core main parameter file
echo              (C:/././build/build/RG-2017.5/ttiEng/vpawar/hifi3_hikey960/269583/RG-2017.5-win32/hifi3_hikey960/config/hifi3_hikey960-params)
echo    corename  name of core as could be assigned to XTENSA_CORE (hifi3_hikey960)
echo    release   Xtensa product release version (12.0.5
)
echo    system    path to core repository as could be assigned to XTENSA_SYSTEM
echo              (C:/././build/build/RG-2017.5/ttiEng/vpawar/hifi3_hikey960/269583/RG-2017.5-win32/hifi3_hikey960/config)
echo    tctools   path to TIE compiler directory
echo              (C:/././build/tree/RG-2017.5_kuma/tools/swtools-MSWin32-x86/TIE)
echo    tools     path to standard tools directory
echo              (C:/././usr/xtensa/tools-7.0)
echo    xttools   path to Xtensa software tools directory
echo              (C:/././build/tree/RG-2017.5_kuma/tools/swtools-MSWin32-x86)

:end
