#ifndef __cstub_xt_MAC16_h__
#define __cstub_xt_MAC16_h__

#include "Xm_hifi3_hikey960.h"

#undef XT_WSR_M0 
#undef XT_WSR_M1 
#undef XT_WSR_M2 
#undef XT_WSR_M3 
#define XT_WSR_M0(x) __asm__ ("wsr.m0 %0" :: "a" (x)) 
#define XT_WSR_M1(x) __asm__ ("wsr.m1 %0" :: "a" (x)) 
#define XT_WSR_M2(x) __asm__ ("wsr.m2 %0" :: "a" (x)) 
#define XT_WSR_M3(x) __asm__ ("wsr.m3 %0" :: "a" (x)) 
#undef XT_RSR_M0 
#undef XT_RSR_M1 
#undef XT_RSR_M2 
#undef XT_RSR_M3 
static inline int XT_RSR_M3() 
{ 
   int result; 
   __asm__("rsr.m3 %0" : "=a" (result) :); 
   return result; 
}  
static inline int XT_RSR_M2() 
{ 
   int result; 
   __asm__("rsr.m2 %0" : "=a" (result) :); 
   return result; 
}  
static inline int XT_RSR_M1() 
{ 
   int result; 
   __asm__("rsr.m1 %0" : "=a" (result) :); 
   return result; 
}  
static inline int XT_RSR_M0() 
{ 
   int result; 
   __asm__("rsr.m0 %0" : "=a" (result) :); 
   return result; 
}  
#undef XT_XSR_M0 
#undef XT_XSR_M1 
#undef XT_XSR_M2 
#undef XT_XSR_M3 
#define XT_XSR_M0(x) __asm__ ("xsr.m0 %0" : "+a" (x) :) 
#define XT_XSR_M1(x) __asm__ ("xsr.m1 %0" : "+a" (x) :) 
#define XT_XSR_M2(x) __asm__ ("xsr.m2 %0" : "+a" (x) :) 
#define XT_XSR_M3(x) __asm__ ("xsr.m3 %0" : "+a" (x) :) 

#endif
